# samples/backend/v4l2_backend_test.h File Reference

`#include "NvVideoDecoder.h"`
`#include "NvVideoConverter.h"`
`#include "NvEglRenderer.h"`
`#include "NvJpegEncoder.h"`
`#include <queue>`
`#include <utility>`
`#include <map>`
`#include <fstream>`
`#include <pthread.h>`
`#include <semaphore.h>`
`#include "nvosd.h"`

Go to the source code of this file.

## Classes

struct | display_resolution_t
struct | window_t
struct | frame_info_t
struct | frame_bbox
struct | Shared_Buffer
struct | context_t
struct | jpeg_enc_context_t
struct | global_cfg

## Defines

#define | JPEG_ENC_BUF_SIZE 5*1024*1024
#define | WINDOW_NUM 4
#define | CHANNEL_NUM 4
#define | PARSER_DECODER_VIC_RENDER 0
#define | PARSER 1
#define | PARSER_DECODER 2
#define | PARSER_DECODER_VIC 3

## Enumerations

enum | slice_type_e { SLICE_TYPE_P = 0, SLICE_TYPE_B = 1, SLICE_TYPE_I = 2 }

enum

nal_type_e {
NAL_UNIT_EXTERNAL = 0, NAL_UNIT_CODED_SLICE = 1, NAL_UNIT_CODED_SLICE_DATAPART_A = 2, NAL_UNIT_CODED_SLICE_DATAPART_B = 3,
NAL_UNIT_CODED_SLICE_DATAPART_C = 4, NAL_UNIT_CODED_SLICE_IDR = 5, NAL_UNIT_SEI = 6, NAL_UNIT_SPS = 7,
NAL_UNIT_PPS = 8, NAL_UNIT_ACCESS_UNIT_DELIMITER = 9, NAL_UNIT_END_OF_SEQUENCE = 10, NAL_UNIT_END_OF_STREAM = 11,
NAL_UNIT_FILLER_DATA = 12, NAL_UNIT_SUBSET_SPS = 15, NAL_UNIT_CODED_SLICE_PREFIX = 14, NAL_UNIT_CODED_SLICE_SCALABLE = 20,
NAL_UNIT_CODED_SLICE_IDR_SCALABLE = 21
}

## Functions

int | parse_csv_args (context_t *ctx, int argc, char *argv[])
void | parse_global (global_cfg *cfg, int argc, char ***argv)
void | print_help (void)

## Define Documentation

#define CHANNEL_NUM 4

Definition at line 97 of file v4l2_backend_test.h.

#define JPEG_ENC_BUF_SIZE 5*1024*1024

Definition at line 45 of file v4l2_backend_test.h.

#define PARSER 1

Definition at line 100 of file v4l2_backend_test.h.

#define PARSER_DECODER 2

Definition at line 101 of file v4l2_backend_test.h.

#define PARSER_DECODER_VIC 3

Definition at line 102 of file v4l2_backend_test.h.

#define PARSER_DECODER_VIC_RENDER 0

Definition at line 99 of file v4l2_backend_test.h.

#define WINDOW_NUM 4

Definition at line 96 of file v4l2_backend_test.h.

## Enumeration Type Documentation

enum nal_type_e

Enumerator:

  NAL_UNIT_EXTERNAL |
  NAL_UNIT_CODED_SLICE |
  NAL_UNIT_CODED_SLICE_DATAPART_A |
  NAL_UNIT_CODED_SLICE_DATAPART_B |
  NAL_UNIT_CODED_SLICE_DATAPART_C |
  NAL_UNIT_CODED_SLICE_IDR |
  NAL_UNIT_SEI |
  NAL_UNIT_SPS |
  NAL_UNIT_PPS |
  NAL_UNIT_ACCESS_UNIT_DELIMITER |
  NAL_UNIT_END_OF_SEQUENCE |
  NAL_UNIT_END_OF_STREAM |
  NAL_UNIT_FILLER_DATA |
  NAL_UNIT_SUBSET_SPS |
  NAL_UNIT_CODED_SLICE_PREFIX |
  NAL_UNIT_CODED_SLICE_SCALABLE |
  NAL_UNIT_CODED_SLICE_IDR_SCALABLE |

Definition at line 54 of file v4l2_backend_test.h.

enum slice_type_e

Enumerator:

  SLICE_TYPE_P |
  SLICE_TYPE_B |
  SLICE_TYPE_I |

Definition at line 47 of file v4l2_backend_test.h.

## Function Documentation

int parse_csv_args | ( | context_t * | ctx,
|  | int | argc,
|  | char * | argv[] |
| ) |  |  |

Definition at line 110 of file video_decode_csvparser.cpp.

void parse_global | ( | global_cfg * | cfg,
|  | int | argc,
|  | char *** | argv |
| ) |  |  |

Definition at line 247 of file v4l2_backend_csvparser.cpp.

void print_help | ( | void |  | ) |

Definition at line 52 of file v4l2_backend_csvparser.cpp.